View Issue Details

IDProjectCategoryView StatusLast Update
0029782Open CASCADEOCCT:Shape Healingpublic2018-08-26 17:43
ReporterikaAssigned Toskl  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.3.0 
Target Version7.4.0Fixed in Version7.4.0 
Summary0029782: Shape Healing - Reading of invalid shape
DescriptionThe attached file is invalid (not whole shape, but several faces), it has some edge curves, where start and end points are the same. This trouble was not fixed during import and the result shape cannot be processed by the most algorithms because of exceptions.

It is need to skip bad edges and not to corrupt the full model.
Steps To Reproducepload ALL
ReadStep D D:/FT02_FT03_SLA5860S.step

XShow D
An exception was caught 000001976EACEA80 : Standard_NullObject: BRepAdaptor_Curve::No geometry
** Exception ** 000001976EACEA80 : Standard_NullObject: BRepAdaptor_Curve::No geometry

XGetOneShape a D

vdisplay a
An exception was caught 000001976EACEA80 : Standard_NullObject: BRepAdaptor_Curve::No geometry
** Exception ** 000001976EACEA80 : Standard_NullObject: BRepAdaptor_Curve::No geometry

clear
small
display a
An exception was caught 000001976EACE850 : Standard_ConstructionError: Geom_TrimmedCurve::U1 == U2
** Exception ** 000001976EACE850 : Standard_ConstructionError: Geom_TrimmedCurve::U1 == U2

explode a
An exception was caught 000001976EACE850 : Standard_ConstructionError: Geom_TrimmedCurve::U1 == U2
** Exception ** 000001976EACE850 : Standard_ConstructionError: Geom_TrimmedCurve::U1 == U2
TagsNo tags attached.
Test case numberNot needed

Attached Files

  • FT02_FT03_SLA5860S.STEP (2,021,569 bytes)
  • kisters_snapshot.png (16,285 bytes)

Activities

ika

2018-08-09 13:02

developer  

FT02_FT03_SLA5860S.STEP (2,021,569 bytes)

ika

2018-08-09 13:03

developer  

kisters_snapshot.png (16,285 bytes)

git

2018-08-13 16:36

administrator   ~0078587

Branch CR29782 has been created by skl.

SHA-1: cdcb6655e7aecbea0d30c1c04a160db5978ae18f


Detailed log of new commits:

Author: skl
Date: Mon Aug 13 16:34:26 2018 +0300

    0029782: Shape Healing - Reading of invalid shape

skl

2018-08-14 15:49

developer   ~0078601

Branch CR29782 is ready to be reviewed.

Results of tests:
http://jenkins-test-12.nnov.opencascade.com/view/CR29782-master-SKL/view/COMPARE/

gka

2018-08-14 17:06

developer   ~0078606

Branch CR29782 was reviewed

bugmaster

2018-08-15 14:58

administrator   ~0078625

Combination -
OCCT branch : CR29782 SHA - cdcb6655e7aecbea0d30c1c04a160db5978ae18f
Products branch : master SHA - 1a280ad2bfcd12576de1d21af82664352f2610bb
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17848.019999999793 / 17485.739999999896 [+2.07%]
Products
Total CPU difference: 9757.950000000052 / 9766.350000000068 [-0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 17417.23084819847 / 17416.45084319857 [+0.00%]
Products
Total CPU difference: 10547.867214099997 / 10567.991343099982 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

bugmaster

2018-08-20 18:27

administrator   ~0078695

Retested on IR-WEEK33

Combination -
OCCT branch : IR-WEEK33 SHA - 23826183309ccf84e7b20798e3662aeadde43f37
Products branch : master SHA - 1a280ad2bfcd12576de1d21af82664352f2610bb
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17488.929999999786 / 17436.49999999983 [+0.30%]
Products
Total CPU difference: 7466.370000000056 / 7459.150000000067 [+0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 11710.620667599116 / 11704.318227199195 [+0.05%]
Products
Total CPU difference: 8351.263933399994 / 8361.263597499978 [-0.12%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2018-08-26 17:43

administrator   ~0078782

Branch CR29782 has been deleted by inv.

SHA-1: cdcb6655e7aecbea0d30c1c04a160db5978ae18f

Related Changesets

occt: master cdcb6655

2018-08-13 13:34:26

skl

Details Diff
0029782: Shape Healing - Reading of invalid shape Affected Issues
0029782
mod - src/StepToTopoDS/StepToTopoDS_GeometricTool.cxx Diff File

Issue History

Date Modified Username Field Change
2018-05-17 16:19 ika New Issue
2018-05-17 16:19 ika Assigned To => gka
2018-08-01 18:27 gka Assigned To gka => skl
2018-08-01 18:27 gka Status new => assigned
2018-08-09 13:02 ika File Added: FT02_FT03_SLA5860S.STEP
2018-08-09 13:03 ika File Added: kisters_snapshot.png
2018-08-13 16:36 git Note Added: 0078587
2018-08-14 15:49 skl Note Added: 0078601
2018-08-14 15:49 skl Assigned To skl => gka
2018-08-14 16:13 skl Status assigned => resolved
2018-08-14 17:06 gka Note Added: 0078606
2018-08-14 17:06 gka Assigned To gka => bugmaster
2018-08-14 17:06 gka Status resolved => reviewed
2018-08-15 14:58 bugmaster Test case number => Not needed
2018-08-15 14:58 bugmaster Note Added: 0078625
2018-08-20 18:27 bugmaster Note Added: 0078695
2018-08-20 18:27 bugmaster Status reviewed => tested
2018-08-26 17:36 skl Changeset attached => occt master cdcb6655
2018-08-26 17:36 skl Assigned To bugmaster => skl
2018-08-26 17:36 skl Status tested => verified
2018-08-26 17:36 skl Resolution open => fixed
2018-08-26 17:43 git Note Added: 0078782